petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSectionCreateSubmeshSection

Create a new, smaller section with support on the submesh

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCreateSubmeshSection(PetscSection s, IS subpointMap, PetscSection *subs)

Collective on s

### Input Parameters

| s | - the PetscSection
| subpointMap | - a sorted list of points in the original mesh which are in the submesh

### Output Parameter

subs -the subsection

Note: The section offsets now refer to a new, smaller vector.

### See Also

PetscSectionCreateSubsection(), DMPlexGetSubpointMap(), PetscSectionCreate()

### Level

advanced

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages